#if !defined(AFX_ICUBESDKVIEWMODEDLG_H__64AC7CD0_ED8E_4392_869D_0D44EACE6AAE__INCLUDED_)
#define AFX_ICUBESDKVIEWMODEDLG_H__64AC7CD0_ED8E_4392_869D_0D44EACE6AAE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ICubeSDKViewModeDlg.h : Header-Datei
//

#define WM_VIEWMODE_DLG		WM_USER+ 0x33

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CICubeSDKViewModeDlg 

class CICubeSDKViewModeDlg : public CDialog
{
// Konstruktion
public:
	CICubeSDKViewModeDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	CWnd*   m_pParent;

	int InitBinSkip(void);
	int InitRoi(void);

// Dialogfelddaten
	//{{AFX_DATA(CICubeSDKViewModeDlg)
	enum { IDD = IDD_DIALOG_VIEWMODE };
	CComboBox	m_ComboSkip;
	CComboBox	m_ComboBin;
	//}}AFX_DATA

	//CICubeSDKSampleDlg	*m_pSampleDlg;

// Überschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsüberschreibungen
	//{{AFX_VIRTUAL(CICubeSDKViewModeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CICubeSDKViewModeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonSetBin();
	afx_msg void OnButtonSetSkip();
	afx_msg void OnButtonSetRoi();
	virtual void OnCancel();
	afx_msg void OnCheckEnableRoi();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // AFX_ICUBESDKVIEWMODEDLG_H__64AC7CD0_ED8E_4392_869D_0D44EACE6AAE__INCLUDED_
